LVCONVERT(8) | System Manager's Manual | LVCONVERT(8)

# NAME

lvconvert - convert a logical volume from linear to mirror or snapshot

# SYNOPSIS

lvconvert -m|--mirrors Mirrors [--mirrorlog {disk|core}] [--corelog] [-R|--regionsize MirrorLogRegionSize] [-A|--alloc AllocationPolicy] [-b|--background] [-i|--interval Seconds] [-h|-?|--help] [-v|--verbose] [--version]
LogicalVolume[Path] [PhysicalVolume[Path]...]

lvconvert -s|--snapshot [-c|--chunksize ChunkSize] [-h|-?|--help] [-v|--verbose] [-Z|--zero y|n] [--version]
OriginalLogicalVolume[Path] SnapshotLogicalVolume[Path]

# DESCRIPTION

lvconvert will change a linear logical volume to a mirror logical volume or to a snapshot of linear volume and vice versa. It is also used to add and remove disk logs from mirror devices.

# OPTIONS

See lvm for common options.
Exactly one of --mirrors or --snapshot arguments required.

-m, --mirrors Mirrors
  Specifies the degree of the mirror you wish to create. For example, "-m 1" would convert the original logical volume to a mirror volume with 2-sides; that is, a linear volume plus one copy.
--mirrorlog {disk|core}
  Specifies the type of log to use. The default is disk, which is persistent and requires a small amount of storage space, usually on a separate device from the data being mirrored. Core may be useful for short-lived mirrors: It means the mirror is regenerated by copying the data from the first device again every time the device is activated - perhaps, for example, after every reboot.
--corelog
  The optional argument "--corelog" is the same as specifying "--mirrorlog core".
-R, --regionsize MirrorLogRegionSize
  A mirror is divided into regions of this size (in MB), and the mirror log uses this granularity to track which regions are in sync.
-b, --background
  Run the daemon in the background.
-i, --interval Seconds
  Report progress as a percentage at regular intervals.
-s, --snapshot
  Create a snapshot from existing logical volume using another existing logical volume as its origin.
-c, --chunksize ChunkSize
  Power of 2 chunk size for the snapshot logical volume between 4k and 512k.
-Z, --zero y|n
  Controls zeroing of the first KB of data in the snapshot. If the volume is read-only the snapshot will not be zeroed.

# Examples

"lvconvert -m1 vg00/lvol1"
converts the linear logical volume "vg00/lvol1" to a two-way mirror logical volume.

"lvconvert --mirrorlog core vg00/lvol1"
converts a mirror with a disk log to a mirror with an in-memory log.

"lvconvert --mirrorlog disk vg00/lvol1"
converts a mirror with an in-memory log to a mirror with a disk log.

"lvconvert -m0 vg00/lvol1"
converts a mirror logical volume to a linear logical volume.

"lvconvert -s vg00/lvol1 vg00/lvol2"
converts logical volume "vg00/lvol2" to snapshot of original volume "vg00/lvol1"

# SEE ALSO

lvm(8), vgcreate(8), lvremove(8), lvrename(8), lvextend(8), lvreduce(8), lvdisplay(8), lvscan(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Red Hat, Inc